Top Categories Report
API operation: Open the endpoint in Scalar
Use GET /reports/top_categories to retrieve the leading categories for the selected report filters. The current public operation is Report.top_categories.
The operation returns up to ten categories after applying its filters. Authentication, filters, ordering, and response fields depend on the operation.
OpenAPI reference
Operation: GET /reports/top_categories
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
lapse | string | No | — |
from | string | No | — |
to | string | No | — |
businesses | string | No | — |
drivers | string | No | — |
timezone | string | No | — |
app_id | string | No | — |
Responses
| Code | Description |
|---|---|
| 200 | OK (Envelope) |
| 400 | Bad Request (ErrorResponse) |
| 401 | Unauthorized |
| 404 | Not Found |
| 429 | Too Many Requests (ErrorResponse) |
| 500 | Internal Server Error (ErrorResponse) |
| 503 | Service Unavailable (ErrorResponse) |